Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile::Board::Rom

struct Nes::Api::Cartridge::Profile::Board::Rom

ROM chip.

Field Summary
`std::wstring` | `file` File pointing to ROM chip.
`Hash` | `hash` ROM chip checksum.
`dword` | `id` ROM chip ID.
`std::wstring` | `name` ROM chip name.
`std::wstring` | `package` ROM chip package method.
`Pins` | `pins` ROM chip pins.
`dword` | `size` ROM chip size.

Constructor Summary
`Rom()`

Field Detail

### file

    public std::wstring file;

  File pointing to ROM chip.

### hash

    public Hash hash;

  ROM chip checksum.

### id

    public dword id;

  ROM chip ID.

### name

    public std::wstring name;

  ROM chip name.

### package

    public std::wstring package;

  ROM chip package method.

### pins

    public Pins pins;

  ROM chip pins.

### size

    public dword size;

  ROM chip size.

Constructor Detail

### Rom

    public Rom() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD